<layout-page-header
  [title]="'MERCHANT_MANAGER.NEW_GROUP.TITLE' | translate"
  [description]="'MERCHANT_MANAGER.NEW_GROUP.OFFERS.DESCRIPTION' | translate"
></layout-page-header>

<layout-card-container>
  <div class="new-group-success">
    <img src="/app/presentation/assets/img/icons/congrats.svg" />
    <h1>{{'MERCHANT_MANAGER.NEW_GROUP.CONGRATULATIONS.TITLE' | translate}}</h1>

    <div class="description" *ngIf="newMerchantGroupData$ | async as data">
      <p
        class="offer-message"
        [innerHTML]="'MERCHANT_MANAGER.NEW_GROUP.CONGRATULATIONS.DESCRIPTION' | translate : { merchant_name: data?.details?.name, merchants_number: data?.merchantsSelected?.length, offers_number: data?.fees?.length }"
      ></p>
    </div>

    <div class="buttons">
      <mo-button
        [text]="'MERCHANT_MANAGER.NEW_GROUP.CONGRATULATIONS.BTN_BACK_MERCHANT_GROUPS' | translate"
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [size]="SIZES.MD"
        (click)="onFinish()"
      >
      </mo-button>
    </div>
  </div>
</layout-card-container>
